Get IP Asset Licenses
curl --request GET \
--url https://staging.crossmint.com/api/v1/ip/licenses/{ipassetId} \
--header 'X-API-KEY: <x-api-key>'import requests
url = "https://staging.crossmint.com/api/v1/ip/licenses/{ipassetId}"
headers = {"X-API-KEY": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<x-api-key>'}};
fetch('https://staging.crossmint.com/api/v1/ip/licenses/{ipassetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "155",
"terms": {
"transferable": true,
"royaltyPolicy": "0x1234567890123456789012345678901234567890",
"defaultMintingFee": 100,
"expiration": 0,
"commercialUse": true,
"commercialAttribution": true,
"commercializerChecker": "0x0000000000000000000000000000000000000000",
"commercializerCheckerData": "0x0000000000000000000000000000000000000000",
"commercialRevShare": 10000000,
"commercialRevCeiling": 0,
"derivativesAllowed": true,
"derivativesAttribution": true,
"derivativesApproval": false,
"derivativesReciprocal": true,
"derivativeRevCeiling": 0,
"currency": "0x1234567890123456789012345678901234567890",
"uri": "Will contain a reference to the license terms metadata"
},
"disabled": false
}IP Assets
Get IP Asset License
Get the licenses of an IP Asset
The ipassetId parameter should be the Story Protocol asset ID (not the Crossmint ID). Must start with ‘0x’ followed by hexadecimal characters.
API scope required: nfts.read
GET
/
v1
/
ip
/
licenses
/
{ipassetId}
Get IP Asset Licenses
This API is still under development. Contact support for early access.
Headers
API key required for authentication
Path Parameters
Response
200 - application/json
IP Asset License found
The License Terms ID
Example:
"1"
The PIL terms details as per retrieved from story
Show child attributes
Show child attributes
Example:
{
"transferable": true,
"royaltyPolicy": "0x1234567890123456789012345678901234567890",
"defaultMintingFee": 100,
"expiration": 0,
"commercialUse": true,
"commercialAttribution": true,
"commercializerChecker": "0x0000000000000000000000000000000000000000",
"commercializerCheckerData": "0x0000000000000000000000000000000000000000",
"commercialRevShare": 10000000,
"commercialRevCeiling": 0,
"derivativesAllowed": true,
"derivativesAttribution": true,
"derivativesApproval": false,
"derivativesReciprocal": true,
"derivativeRevCeiling": 0,
"currency": "0x1234567890123456789012345678901234567890",
"uri": "Will contain a reference to the license terms metadata"
}
If true, the license terms will be disabled. Effectively preventing future mints with this license.
Example:
false
Example:
{
"id": "155",
"terms": {
"transferable": true,
"royaltyPolicy": "0x1234567890123456789012345678901234567890",
"defaultMintingFee": 100,
"expiration": 0,
"commercialUse": true,
"commercialAttribution": true,
"commercializerChecker": "0x0000000000000000000000000000000000000000",
"commercializerCheckerData": "0x0000000000000000000000000000000000000000",
"commercialRevShare": 10000000,
"commercialRevCeiling": 0,
"derivativesAllowed": true,
"derivativesAttribution": true,
"derivativesApproval": false,
"derivativesReciprocal": true,
"derivativeRevCeiling": 0,
"currency": "0x1234567890123456789012345678901234567890",
"uri": "Will contain a reference to the license terms metadata"
},
"disabled": false
}
Was this page helpful?
⌘I

